Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158750 - In LSB running, /tset/LI18NUX2K.L1/utils/join/join FAIL
Summary: In LSB running, /tset/LI18NUX2K.L1/utils/join/join FAIL
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: coreutils
Version: 3.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 156320
TreeView+ depends on / blocked
 
Reported: 2005-05-25 13:18 UTC by Tim Waugh
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version: RHBA-2005-544
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-28 17:03:02 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2005:544 qe-ready SHIPPED_LIVE coreutils bug fix update 2005-09-28 04:00:00 UTC

Description Tim Waugh 2005-05-25 13:18:11 UTC
+++ This bug was initially created as a clone of Bug #121153 +++

Description of problem:
LSB test case /tset/LI18NUX2K.L1/utils/join/join fails on 
RHEL4_Alpha2 installed system.

10|0 /tset/LI18NUX2K.L1/utils/join/join 20:03:37|TC Start, scenario 
ref 2-0
15|0 3.3 1|TCM Start
400|0 1 4 20:03:37|IC Start
200|0 1 20:03:37|TP Start
520|0 1 8008 1 1|* Verify this utility joins files and writes the 
results 
correctly, when these files is ordered according to the collating 
sequence of 
the current locale.
520|0 1 8008 1 2|
520|0 1 8008 1 3|This utility does not join the files.
220|0 1 1 20:04:13|FAIL
200|0 2 20:04:13|TP Start
520|0 2 8008 1 1|* When -e option is specified, verify this utility 
replaces 
empty output fields in the list selected by -o with the string even 
if the 
string is written in multibyte characters.
520|0 2 8008 1 2|
520|0 2 8008 1 3|This utility does not join the files.
220|0 2 1 20:04:48|FAIL
200|0 3 20:04:48|TP Start
520|0 3 8008 1 1|* When -t option is specified, verify this utility 
uses given 
character as a separator even if the character is multibyte character.
520|0 3 8008 1 2|
520|0 3 8008 1 3|This utility does not join the files.
220|0 3 1 20:05:24|FAIL



Version-Release number of selected component (if applicable):


How reproducible:

The lsb-runtime-test version I used is 1.3.6-3.

To reproduce this bug,
1. login a console by user vsx0
2. edit file scen.exec, remove all lines except 
line /tset/LI18NUX2K.L1/utils/join/join.
3. run "./run_tests"
4. check result at results/00xxe/journal.


  
Actual results:
The case failed.

Expected results:
The case could pass.

Additional info:

Comment 8 Red Hat Bugzilla 2005-09-28 17:03:03 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-544.html



Note You need to log in before you can comment on or make changes to this bug.